# DullahanRegistry

### STK\_AAVE

```solidity
address STK_AAVE
```

Address of the stkAAVE token

### AAVE

```solidity
address AAVE
```

Address of the AAVE token

### GHO

```solidity
address GHO
```

Address of the GHO token

### DEBT\_GHO

```solidity
address DEBT_GHO
```

Address of the GHO debt token

### AAVE\_POOL\_V3

```solidity
address AAVE_POOL_V3
```

Address of the Aave v3 Pool

### AAVE\_REWARD\_COONTROLLER

```solidity
address AAVE_REWARD_COONTROLLER
```

Address of the Aave rewards controller

### dullahanVault

```solidity
address dullahanVault
```

Address of the Dullahan Vault

### dullahanPodManagers

```solidity
address[] dullahanPodManagers
```

Address of Dullahan Pod Managers

### SetVault

```solidity
event SetVault(address vault)
```

Event emitted when the Vault is set

### AddPodManager

```solidity
event AddPodManager(address newManager)
```

Event emitted when a Manager is added

### constructor

```solidity
constructor(address _aave, address _stkAave, address _gho, address _ghoDebt, address _aavePool, address _aaveRewardController) public
```

### setVault

```solidity
function setVault(address vault) external
```

Set the Dullahan Vault

#### Parameters

| Name  | Type    | Description          |
| ----- | ------- | -------------------- |
| vault | address | address of the vault |

### addPodManager

```solidity
function addPodManager(address manager) external
```

Add a Pod Manager

#### Parameters

| Name    | Type    | Description                |
| ------- | ------- | -------------------------- |
| manager | address | Address of the new manager |

### getPodManagers

```solidity
function getPodManagers() external view returns (address[])
```

Get the list of Pod Managers

#### Return Values

| Name | Type       | Description                       |
| ---- | ---------- | --------------------------------- |
| \[0] | address\[] | address\[] : List of Pod Managers |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paladin.vote/dullahan/smart-contracts/dullahanregistry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
